Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1566347 - mariadb not working after minor update
Summary: mariadb not working after minor update
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: James Slagle
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 06:44 UTC by Yolanda Robla
Modified: 2018-07-25 06:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-25 06:18:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yolanda Robla 2018-04-12 06:44:50 UTC
Description of problem:

With a clean deploy of pike, i perform a minor update. After that, the controllers are failing due to mysql error.

When i enter, i see mariadb is down:

abr 12 06:39:28 overcloud-controller-1 mysql-check-socket[252260]: No process is using /var/lib/mysql/mysql.sock, which means it is a garbage, so it will be removed automatically.
abr 12 06:39:28 overcloud-controller-1 mysql-prepare-db-dir[252284]: Database MariaDB is probably initialized in /var/lib/mysql already, nothing is done.
abr 12 06:39:28 overcloud-controller-1 mysql-prepare-db-dir[252284]: If this is not the case, make sure the /var/lib/mysql is empty before running mysql-prepare-db-dir.
abr 12 06:39:28 overcloud-controller-1 mysqld[252321]: 2018-04-12  6:39:28 140595765754048 [Warning] option 'open_files_limit': unsigned value 18446744073709551615 adjusted to 4294967295
abr 12 06:39:28 overcloud-controller-1 mysqld[252321]: 2018-04-12  6:39:28 140595765754048 [Note] /usr/libexec/mysqld (mysqld 10.1.20-MariaDB) starting as process 252321 ...
abr 12 06:39:28 overcloud-controller-1 mysqld[252321]: 2018-04-12  6:39:28 140595765754048 [Warning] Could not increase number of max_open_files to more than 1024 (request: 8107)
abr 12 06:39:29 overcloud-controller-1 systemd[1]: mariadb.service: main process exited, code=exited, status=1/FAILURE
abr 12 06:39:29 overcloud-controller-1 systemd[1]: Failed to start MariaDB 10.1 database server.
abr 12 06:39:29 overcloud-controller-1 systemd[1]: Unit mariadb.service entered failed state.
abr 12 06:39:29 overcloud-controller-1 systemd[1]: mariadb.service failed

mariadb version is:

mariadb-config-10.1.20-2.el7.x86_64
mariadb-10.1.20-2.el7.x86_64
mariadb-errmsg-10.1.20-2.el7.x86_64
mariadb-server-10.1.20-2.el7.x86_64
mariadb-server-galera-10.1.20-2.el7.x86_64
mariadb-libs-10.1.20-2.el7.x86_64
mariadb-common-10.1.20-2.el7.x86_64

Comment 1 Michele Baldessari 2018-07-20 19:40:31 UTC
Hola Yolanda,

could it be that you actually forgot (or the undercloud/tripleo-common did not do it for you) to inject the docker-ha.yaml env file?

I ask because:
abr 12 06:39:29 overcloud-controller-1 systemd[1]: Failed to start MariaDB 10.1 database server.
abr 12 06:39:29 overcloud-controller-1 systemd[1]: Unit mariadb.service entered failed state.
abr 12 06:39:29 overcloud-controller-1 systemd[1]: mariadb.service failed

Implies that we started mariadb without systemd (aka nonHA)

thanks,
Michele


Note You need to log in before you can comment on or make changes to this bug.